%define svn 2137

Summary:	Teacher Tools for the MILLE-XTERM project
Name:		mille-xterm-teachtools
Version:	1.0
Release:	%mkrel 0.%{svn}.3
License:	GPL
Group:		System/Servers
URL:		http://www.revolutionlinux.com/mille-xterm
Source:		mille-xterm-teachtools-%{version}.tar.bz2
Requires:	python >= 2.4.1 tkinter
BuildRequires:	python-devel >= 2.4.1
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-buildroot

%define py_ver %(python -c "import sys; v=sys.version_info[:2]; print '%%d.%%d'%%v" 2>/dev/null || echo PYTHON-NOT-FOUND)
%define py_prefix %(python -c "import sys; print sys.prefix" 2>/dev/null || echo PYTHON-NOT-FOUND)
%define py_libdir %{py_prefix}/lib/python%{py_ver}

%description
Teacher Tools for the MILLE-XTERM project.

%prep

%setup -q

%build 

%install
rm -fr %{buildroot}

install -d %{buildroot}%{_datadir}/locale/en/LC_MESSAGES
install -d %{buildroot}/lib/python%{py_ver}/site-packages

pushd src
    python setup.py install --prefix=%{buildroot}
popd

chmod 755 %{buildroot}%{_datadir}/mille-xterm/MilleTeachTools/*.sh
mv %{buildroot}%{_bindir}/MilleTeachTools.py %{buildroot}%{_bindir}/MilleTeachTools
chmod 755 %{buildroot}%{_bindir}/MilleTeachTools

# cleanup
rm -rf %{buildroot}/lib/python%{py_ver}/site-packages

%clean
rm -fr %{buildroot}

%files
%defattr(-,root,root)
%doc README.fr
%{_datadir}/mille-xterm/MilleTeachTools/*
%{_datadir}/mille-xterm/MilleTeachTools/locale/*/LC_MESSAGES/*
%{_bindir}/MilleTeachTools




%changelog
* Fri Dec 10 2010 Oden Eriksson <oeriksson@mandriva.com> 1.0-0.2137.3mdv2011.0
+ Revision: 620339
- the mass rebuild of 2010.0 packages

* Fri Sep 04 2009 Thierry Vignaud <tv@mandriva.org> 1.0-0.2137.2mdv2010.0
+ Revision: 430036
- rebuild

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 1.0-0.2137.1mdv2008.1
+ Revision: 136579
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Thu Feb 08 2007 Oden Eriksson <oeriksson@mandriva.com> 1.0-0.2137.1mdv2007.0
+ Revision: 117843
- nuke the egg files
- Import mille-xterm-teachtools

* Fri Sep 29 2006 Oden Eriksson <oeriksson@mandriva.com> 1.0-0.2137.1mdk
- initial Mandriva package (mille-xterm import)

